<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<html>
<head>
	<title>评卷员管理</title>
	<meta name="decorator" content="default"/>
	<%@include file="/WEB-INF/views/include/head.jsp" %>
	<style type="text/css">.sort{color:#0663A2;cursor:pointer;}</style>
</head>
<body>
    <ul class="nav nav-tabs">
        <li><a href="${ctx}/admin/exam/group?subjectCode=${query.subjectCode}">大题管理</a></li>
        <li class="active"><a href="##">评卷员管理</a></li>
        <li><a href="${ctx}/admin/exam/library?subjectCode=${query.subjectCode}">评卷任务管理</a></li>
    </ul>
	<form id="searchForm"  action="${ctx}/admin/exam/marker" method="post" class="breadcrumb form-search">
		<input type="hidden" id="pageNumber" name="pageNumber" value="${query.pageNumber}"/>
		<input type="hidden" id="pageSize" name="pageSize" value="${query.pageSize}"/>
		<div>
			<label>科目</label>
			<select id="subject-select" name="subjectCode">
				<c:forEach items="${subjectList}" var="subject">
				<option value="${subject.code}" <c:if test="${subject.code==query.subjectCode}">selected</c:if>>${subject.code}-${subject.name}</option>
				</c:forEach>
			</select>
			<label>大题</label>
            <select id="group-select" name="groupNumber">
            </select>
			<label>登录名</label>
			<input type="text" name="loginName" value="${query.loginName}"  maxlength="10" class="input-small"/>
			&nbsp;
			<input id="btnSubmit" class="btn btn-primary" type="button" value="查询" onclick="goSearch()"/>
			<c:if test="${web_user.schoolAdmin==true}">
            &nbsp;
            <a href="${ctx}/admin/exam/marker/batch-create" class="btn btn-success">新增</a>
            </c:if>
			&nbsp;
			<input id="btnExport" class="btn" type="button" value="导出"/>
		</div>
	</form>
	<tags:message content="${message}"/>
	<table id="contentTable" class="table table-striped table-bordered table-condensed">
		<thead>
			<tr>
				<th>科目</th>
				<th>大题</th>
				<th>登录名</th>
				<th>姓名</th>
				<th>密码</th>
				<th>状态</th>
				<th>已评数量</th>
				<th>正在评卷</th>
				<th>操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${query.result}" var="marker">
			<tr>
				<td>
				<c:if test="${marker.subject!=null}">
				${marker.subject.code}-${marker.subject.name}
				</c:if>
				</td>
				<td>
                <c:if test="${marker.group!=null}">
                ${marker.group.number}-${marker.group.title}
                </c:if>
                </td>
				<td>${marker.loginName}</td>
				<td>${marker.name}</td>
				<td>${marker.password}</td>
				<td>${marker.enable eq true ? "启用" : "禁用"}</td>
				<td>${marker.markedCount}</td>
				<td>${marker.currentCount}</td>
				<td>
				    <c:if test="${web_user.schoolAdmin==true}">
					<a href="javascript:void(0)" class="delete-button" data-id="${marker.id}">删除</a>
					<c:if test="${marker.enable==true}">
					<a href="javascript:void(0)" class="toggle-button" data-id="${marker.id}" data-value="false">禁用</a>
					</c:if>
					<c:if test="${marker.enable==false}">
					<a href="javascript:void(0)" class="toggle-button" data-id="${marker.id}" data-value="true">启用</a>
					</c:if>
					<a href="javascript:void(0)" class="release-button" data-id="${marker.id}">回收</a>
					</c:if>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
	<div class="pagination">${query}</div>
<script type="text/javascript">
var searchSubjectCode = '${query.subjectCode}';
var searchGroupNumber = '${query.groupNumber}';
$("#btnExport").click(function(){
	top.$.jBox.confirm("确认要导出评卷员数据吗？","系统提示",function(v,h,f){
		if(v=="ok"){
			$("#searchForm").attr("action","/admin/exam/marker/export");
			$("#searchForm").submit();
		}
	},{buttonsFocus:1});
	top.$('.jbox-body .jbox-icon').css('top','55px');
});
$('.delete-button').click(function(){
	if(!confirm("确定要删除改评卷员吗？")){
	    return;
	}
	var id = $(this).attr('data-id');
	$.post('${ctx}/admin/exam/marker/delete', {id: id}, function(result){
		if(result.success==true){
			alert('删除成功');
			$("#searchForm").submit();
		}else{
			alert(result.message);
		}
	});
});
$('.toggle-button').click(function(){
	var id = $(this).attr('data-id');
	var enable = $(this).attr('data-value');
	$.post('${ctx}/admin/exam/marker/toggle', {id: id, enable: enable}, function(result){
		if(result.success==true){
			alert('修改成功');
			$("#searchForm").submit();
		}else{
			alert(result.message);
		}
	});
});
$('.release-button').click(function(){
    var id = $(this).attr('data-id');
    $.post('${ctx}/admin/exam/marker/release', {id: id}, function(result){
        if(result.success==true){
            alert('回收成功');
            $("#searchForm").submit();
        }else{
            alert(result.message);
        }
    });
});
$('#subject-select').change(function(){
    var code = $(this).val();
    $('#group-select').empty();
    $('#group-select').append('<option value="0">请选择</option>');
    if(code==''){
        $('#group-select').val('0').trigger('change');
        return;
    }
    $.post('${ctx}/admin/exam/group/query', {subjectCode: code}, function(result){
        var parent = $('#group-select');
        for(var i=0;i<result.length;i++){
            var group = result[i];
            var dom = $('<option value="'+group.number+'">'+group.number+'-'+group.title+'</option>').appendTo(parent);
            if(searchSubjectCode==code && searchGroupNumber==group.number){
                dom.attr('selected', 'selected');
            }
        }
        parent.trigger('change');
    });
});
$('#subject-select').trigger('change');

function page(n,s){
	$("#pageNumber").val(n);
	$("#pageSize").val(s);
	$("#searchForm").attr("action","${ctx}/admin/exam/marker");
	$("#searchForm").submit();
	return false;
}
function goSearch(){
	$("#pageNumber").val(1);
	$("#pageSize").val('${query.pageSize}');
	$("#searchForm").attr("action","${ctx}/admin/exam/marker");
	$("#searchForm").submit();
	return false;
}
</script>	
</body>
</html>